package dev.kaderli.magsend.activity

import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.google.android.material.elevation.SurfaceColors


abstract class BaseActivity : AppCompatActivity() {
  @Suppress("PropertyName")
  protected val TAG: String = this::class.java.name

  override fun onCreate(savedInstanceState: Bundle?) {
    super.onCreate(savedInstanceState)
    setContentView(getLayoutId())

    val color = SurfaceColors.SURFACE_2.getColor(this)
    window.statusBarColor = color
    window.navigationBarColor = color
  }

  protected abstract fun getLayoutId(): Int
}
